Debian Bug report logs - #594286
israndom: non-standard gcc/g++ used for build (gcc-4.3)

version graph

Package: israndom; Maintainer for israndom is Rudi Cilibrasi <cilibrar@debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 25 Aug 2010 06:03:35 UTC

Severity: serious

Tags: sid, wheezy

Found in version israndom/1.0.7-3

Fixed in version israndom/1.0.7-4

Done: Frank Lichtenheld <djpig@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Rudi Cilibrasi <cilibrar@debian.org>:
Bug#594286; Package israndom. (Wed, 25 Aug 2010 06:03:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Rudi Cilibrasi <cilibrar@debian.org>. (Wed, 25 Aug 2010 06:03:38 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: israndom: non-standard gcc/g++ used for build (gcc-4.3)
Date: Wed, 25 Aug 2010 05:59:02 +0000
Package: israndom
Version: 1.0.7-3
Severity: normal
User: debian-gcc@lists.debian.org
Usertags: non-standard-compiler, gcc-4.3

This package builds with a non standard compiler version; please check
if this package can be built with the default version of gcc/g++.

Please keep this report open until the package uses the default
compiler version for the package build.

The severity of this report is likely to be raised before the release.





Information forwarded to debian-bugs-dist@lists.debian.org, micahg@ubuntu.com, Rudi Cilibrasi <cilibrar@debian.org>:
Bug#594286; Package israndom. (Tue, 01 Feb 2011 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Gersten <micahg@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to micahg@ubuntu.com, Rudi Cilibrasi <cilibrar@debian.org>. (Tue, 01 Feb 2011 07:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 594286@bugs.debian.org (full text, mbox):

From: Micah Gersten <micahg@ubuntu.com>
To: Debian Bug Tracking System <594286@bugs.debian.org>
Subject: israndom: Package builds fine with default g++
Date: Tue, 01 Feb 2011 01:39:30 -0600
[Message part 1 (text/plain, inline)]
Package: israndom
Version: 1.0.7-3
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu natty ubuntu-patch



*** /tmp/tmpwEhNuJ
In Ubuntu, the attached patch was applied to achieve the following:

This allows unused gcc versions to be dropped from the distro when they're no longer needed.

  * Use default g++ (Closes: #594286)


Thanks for considering the patch.


-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick-backports'), (500, 'maverick'), (300, 'maverick-proposed')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-25-generic (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash
[tmp567yQk (text/x-diff, attachment)]

Severity set to 'serious' from 'normal' Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 13:33:32 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 02 Apr 2011 17:24:08 GMT) Full text and rfc822 format available.

Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. (Thu, 07 Apr 2011 22:36:03 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Thu, 07 Apr 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 594286-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 594286-close@bugs.debian.org
Subject: Bug#594286: fixed in israndom 1.0.7-4
Date: Thu, 07 Apr 2011 22:32:51 +0000
Source: israndom
Source-Version: 1.0.7-4

We believe that the bug you reported is fixed in the latest version of
israndom, which is due to be installed in the Debian FTP archive:

israndom_1.0.7-4.diff.gz
  to main/i/israndom/israndom_1.0.7-4.diff.gz
israndom_1.0.7-4.dsc
  to main/i/israndom/israndom_1.0.7-4.dsc
israndom_1.0.7-4_amd64.deb
  to main/i/israndom/israndom_1.0.7-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594286@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated israndom package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Apr 2011 00:08:41 +0200
Source: israndom
Binary: israndom
Architecture: source amd64
Version: 1.0.7-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 israndom   - nonclassical randomness test using data compressors
Closes: 594286
Changes: 
 israndom (1.0.7-4) unstable; urgency=low
 .
   * QA upload.
   * Change maintainer to QA Group
   * Drop Build-Depends on specific g++ version.
     (As done by Micah Gersten in Ubuntu) (Closes: #594286)
Checksums-Sha1: 
 c8095fca8b545af3288683d5ad5be896f61e1c0f 1110 israndom_1.0.7-4.dsc
 ea06dd75349f50aac165a49bffaa7d5d7e3e6e77 2024 israndom_1.0.7-4.diff.gz
 30a867f31b16217ad34c793568cfd126134d037d 12028 israndom_1.0.7-4_amd64.deb
Checksums-Sha256: 
 ac0c0672b6a291ed5b302f198ebdb04e377cfa828a3e0040a79503f884a0246f 1110 israndom_1.0.7-4.dsc
 3d1e96c04621f9fdaf31aee309b40c4ff4b23458a6302054091f54c6f2771282 2024 israndom_1.0.7-4.diff.gz
 4dd8bb9e6aabfee75dc4a82bed3cf04b3bccec35c6fd8ce7090ee0c7cbf25a90 12028 israndom_1.0.7-4_amd64.deb
Files: 
 2a422b35779d5966fe482a569b666130 1110 science optional israndom_1.0.7-4.dsc
 3ca9bcceea882437eea918a77cb471ba 2024 science optional israndom_1.0.7-4.diff.gz
 c64945ff32d8f289deec6013aabfe211 12028 science optional israndom_1.0.7-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2eOZ8ACgkQQbn06FtxPfCQJACg5k20V41kxS0i+QIIO3eJK0A+
1fYAoIPuUG4mHGCZ7lkBTj+GoIw2Wfy4
=1Kbu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 09:32:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:49:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.